from tkinter import *
import tk_project_new, tk_project_find, tk_project_delete
   
root=Tk()#set up the main root widow to house everything
root.title('Omoronz Online Organisation') #window title
root.geometry("300x400")#root window size

window=Frame(root).pack() #create a new window

topFrame = Frame(window).pack(side=TOP, anchor=NW)#create a new frame for the title
newfont=('arial', 20, 'bold') #choose a font for this window
title = Label(topFrame, text='Omoronz Online', font=newfont)#display a label for the title
title.config(height=2, width=1) #make the height 2 lines high and the width 1 character big, because...
title.pack(side=TOP, fill=BOTH) #the label is pushed to the top and told to fill across the entire width of the window


##create varaibales to store the images for the buttons
new_cust    = PhotoImage(file='customerNew.gif', master=root)#IMPORTANT!! master=(main window name) deletes all previously used images from buffer.
find_cust   = PhotoImage(file='customerFind.gif', master=root)
delete_cust = PhotoImage(file='customerDelete.gif', master=root)

#create a new frame to house the buttons.
leftCanvas = Canvas(window)
newAccount     = Button(leftCanvas, image=new_cust,    command=tk_project_new.newCustomer).pack(side=TOP, padx=2, pady=2)
findCustomer   = Button(leftCanvas, image=find_cust,   command=tk_project_find.findCustomer).pack(side=TOP, padx=2, pady=2)
deleteCustomer = Button(leftCanvas, image=delete_cust, ).pack(side=TOP, padx=2, pady=2)
leftCanvas.pack(fill=Y)

root.mainloop()
